summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_binding_string.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/tests/test_binding_string.sh')
-rwxr-xr-xsource4/script/tests/test_binding_string.sh20
1 files changed, 17 insertions, 3 deletions
diff --git a/source4/script/tests/test_binding_string.sh b/source4/script/tests/test_binding_string.sh
index 8f8177cf56..27310a1c99 100755
--- a/source4/script/tests/test_binding_string.sh
+++ b/source4/script/tests/test_binding_string.sh
@@ -19,11 +19,24 @@ testit() {
cat test.$$;
rm -f test.$$;
echo "TEST FAILED - $cmdline";
- exit 1;
+ return 1;
fi
rm -f test.$$;
+ return 0;
}
+testok() {
+ name=`basename $1`
+ failed=$2
+ if [ x"$failed" = x"0" ];then
+ echo "ALL OK ($name)";
+ else
+ echo "$failed TESTS FAILED ($name)";
+ fi
+ exit $failed
+}
+
+failed=0;
for I in "ncacn_np:$server" \
"ncacn_ip_tcp:$server" \
"ncacn_np:$server[rpcecho]" \
@@ -35,7 +48,8 @@ for I in "ncacn_np:$server" \
"308FB580-1EB2-11CA-923B-08002B1075A7@ncacn_np:$server" \
"308FB580-1EB2-11CA-923B-08002B1075A7@ncacn_ip_tcp:$server"
do
- testit bin/smbtorture "$I" -U"$username"%"$password" -W $domain RPC-ECHO "$*"
+ echo Testing $I
+ testit bin/smbtorture "$I" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
done
-echo "ALL OK";
+testok $0 $failed